Draft WireToBSpline/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilización==")
(Updating to match new version of source page)
 
(26 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/es|Name=Draft_WireToBSpline|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto-> Contorno a BSpline}}

{{Docnav
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Draft2Sketch|Draft2Sketch]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Downgrade.svg
|IconR=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
}}

{{GuiCommand/es
|Name=Draft_WireToBSpline
|Name/es=Draft_WireToBSpline
|MenuLocation=Boceto → Contorno a BSpline
|Workbenches=[[Draft_Workbench/es|Boceto]], [[Arch_Workbench/es|Arquitectura]]
}}


<span id="Description"></span>
==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
Esta herramienta convierte [[Draft Wire/es|Contornos]] en [[Draft BSpline/es|BSplines]], y viceversa.
Esta herramienta convierte [[Draft Wire/es|Contornos]] en [[Draft BSpline/es|BSplines]], y viceversa.
</div>


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft_Wire2BSpline_example.jpg|400px]]
{{Caption|Converting a wire to a B-spline, and a closed B-spline to a closed wire}}


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
==Utilización==
==Utilización==
</div>


<div class="mw-translate-fuzzy">
# Select a [[Draft Wire|wire]] or a [[Draft BSpline|BSpline]]
# Press the {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}} button
# Selecciona un [[Draft Wire/es|contorno]] o una [[Draft BSpline/es|BSpline]]
# Presiona el botón {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline/es|Contorno a BSpline]]}}
</div>


==Options==
==Notes==


* The command may result in a closed, self-intersecting [[Draft_Wire|Draft Wire]] or [[Draft_BSpline|Draft BSpline]] with a face. Such an object will not display properly in the [[3D_view|3D view]]. Its {{PropertyData|Make Face}} property, or its {{PropertyData|Closed}} property, must be set to {{FALSE}}.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
Not available, but creating a new object with the points from another one is easy, for example:
==Programación==
</div>


<div class="mw-translate-fuzzy">
* If the active object is a wire:
No disponible, pero crear un nuevo objeto con los puntos de otro es sencillo, por ejemplo:
</div>


<div class="mw-translate-fuzzy">
<syntaxhighlight>
* if the active object is a wire
import FreeCAD,Draft
</div>
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
</syntaxhighlight>


{{Code|code=
* if the active object is a bspline
import FreeCAD as App
import Draft


doc = App.newDocument()
<syntaxhighlight>
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
</syntaxhighlight>


p1 = App.Vector(1000, 1000, 0)
<languages/>
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()
}}


{{Docnav
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Draft2Sketch|Draft2Sketch]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Downgrade.svg
|IconR=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 07:42, 10 April 2024

Draft_WireToBSpline

Ubicación en el Menú
Boceto → Contorno a BSpline
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta convierte Contornos en BSplines, y viceversa.

Converting a wire to a B-spline, and a closed B-spline to a closed wire

Utilización

  1. Selecciona un contorno o una BSpline
  2. Presiona el botón Contorno a BSpline

Notes

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DatosMake Face property, or its DatosClosed property, must be set to false.

Scripting

Programación

No disponible, pero crear un nuevo objeto con los puntos de otro es sencillo, por ejemplo:

  • if the active object is a wire
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()